
QGIS Application - Bug report #19122

can't update column

2018-06-06 12:55 PM - Ricardo Campos

Status: Closed

Priority: Normal

Assignee:

Category: Field calculator

Affected QGIS version:3.0.3 Regression?: No

Operating System: w7 64 bits Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 26952

Description

Não consigo alterar valor de campo texto na tabela de atributos, tanto na barra como na calculadora, ao selecionar uma linha e clicar

atualizar selecionados, não aparece nada no campo, apenas se colocar algarismos é que atualiza e aparecem os carateres, o que

poderá ser?

History

#1 - 2018-06-06 01:06 PM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Feedback

Olá Ricardo,

os tickets devem ser abertos em Ingles. Tickets must be filed in English. Thanks!

The bug tracker is the place where to report issues, not ask for help (use the mailing list, IRC, stackexchange for that). If after asking for help you are

confident you found a bug then report it here, adding detailed steps (and attaching data) in how replicate.

#2 - 2018-06-06 01:06 PM - Giovanni Manghi

- Status changed from Feedback to Closed

#3 - 2018-06-06 01:29 PM - Ricardo Campos

I can not change the text field value in the attribute table, both in the bar and in the calculator, when selecting a row and clicking refresh selected, nothing

appears in the field, only if placing figures is what refreshes and the characters appear, which can be ?

#4 - 2018-06-06 01:32 PM - Ricardo Campos

- Status changed from Closed to Reopened

- File num_qgis.JPG added

- File texto_qgis.JPG added

I can not change the text field value in the attribute table, both in the bar and in the calculator, when selecting a row and clicking refresh selected, nothing

appears in the field, only if placing figures is what refreshes and the characters appear, which can be ?

#5 - 2018-06-06 01:39 PM - Giovanni Manghi

- Status changed from Reopened to Feedback
- Resolution deleted (invalid)

what data type is the column you are trying to update?

#6 - 2018-06-06 03:45 PM - Ricardo Campos

the data type is qstring

#7 - 2018-06-06 03:46 PM - Giovanni Manghi

- Subject changed from alterar valor de campo texto to can't update column

#8 - 2018-06-06 03:46 PM - Giovanni Manghi

the same data works an expected on 2.18?

#9 - 2018-06-06 04:42 PM - Ricardo Campos

yes, version 2.18 also does the same thing, I also tried on 16.13 and it remains the same.

this started to be done in a short time, in an already used shape, so I tried a new one and even created a new project and also shape to miss mistakes, but

it is the same.

#10 - 2018-06-07 10:32 AM - Giovanni Manghi

Ricardo Campos wrote:

yes, version 2.18 also does the same thing, I also tried on 16.13 and it remains the same.

this started to be done in a short time, in an already used shape, so I tried a new one and even created a new project and also shape to miss

mistakes, but it is the same.

please attach sample data/project, thanks!

#11 - 2018-08-15 11:49 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback. Please retest with 3.2 eventually.
